package http_model

type PreDataListRequest struct {
	PageSize     int      `json:"page_size"`
	PageNum      int      `json:"page"`
	ProjectId    string   `json:"project_id"`  // 项目ID
	DataStatus   string   `json:"data_status"` // 数据状态，13待传数据
	EnterpriseId string   `json:"enterprise_id"`
	SortField    []string `json:"sort_field,omitempty"`
	SortOrder    []string `json:"sort_order,omitempty"`
	Others       string   `json:"others,omitempty"`
}

type GetPreDataListData struct {
	TaskdataList []*Taskdatainfo `json:"task_list"`
	Total        string          `json:"total"`
}

type Taskdatainfo struct {
	Task *TaskInfo `json:"task_info"`
	DDl  string    `json:"ddl"` // 截止时间
}

func NewPreDataListRequest() *PreDataListRequest {
	return new(PreDataListRequest)
}

func NewPreDataListResponse() *CommonResponse {
	resp := new(CommonResponse)
	resp.Data = new(GetPreDataListData)
	return resp
}
